Core - Bug # 67067

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-05-20 Assigned To:

Updated: 2015-07-09 Due date:

TYPO3 Version: 7

PHP Version: 5.6

Complexity:

Is Regression: No

Sprint Focus:

Subject:

dbal admin_get_tables() returns information in wrong format

Description

The return value form admin_get_tables() is expected to be an array with tablenames as key and arrays with status information as
value but the returned value is an array with tablenames as key and value.

A PHP Warning is being raised in the install tool when clearing all caches:

lllegal string offset 'Name' in .../typo3_src-master/typo3/sysext/install/Classes/Service/ClearCacheService.php line 65

As a result the cache tables also keep their content

Related issues:
related to Core - Epic # 64459: Make TYPOS run on PostgreSQL

related to Core - Bug # 67286: InstallTool Database Compare shows all tables ...

New 2015-01-23
Resolved 2015-06-03

Associated revisions

Revision d1e9309a - 2015-07-09 20:35 - Morton Jonuschat

[BUGFIX] dbal: make admin_get_tables() return correct table information

Return the table information in the documented format (array with

tablenames as key and arrays with status information as value).

Resolves: #67067

Releases: master, 6.2

Change-Id: 17a35c5cfdaa469c407f5c4e4f80055625034be91
Reviewed-on: http://review.typo3.org/39637

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 36539112 - 2015-07-09 20:36 - Morton Jonuschat

[BUGFIX] dbal: make admin_get_tables() return correct table information

Return the table information in the documented format (array with
tablenames as key and arrays with status information as value).

Resolves: #67067

Releases: master, 6.2

Change-Id: 17a35c5cfdaa469c407f5c4e4f80055625034be91
Reviewed-on: http://review.typo3.org/41058

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2015-05-20 21:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39637

#2 - 2015-05-21 18:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39637

#3 - 2015-06-08 20:44 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39637

#4 - 2015-07-09 20:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41058

#5 - 2015-07-09 20:36 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d1e9309ab898e99251b1609b6adbbf63ac401326.
